RPC.VersionMismatch (Hadoop 0.20.2+737 API)
Date: 2010-10-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.ipc
Class RPC.VersionMismatch

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.hadoop.ipc.RPC.VersionMismatch

All Implemented Interfaces:
  Serializable

Enclosing class:
  RPC

    public static class RPC.VersionMismatch

extends IOException

A version mismatch for the RPC protocol.

See Also:
  Serialized Form

Constructor Summary
`RPC.VersionMismatch(String interfaceName, long clientVersion, long serverVersion)` Create a version mismatch exception

Method Summary
`long` | `getClientVersion()` Get the client's preferred version
`String` | `getInterfaceName()` Get the interface name
`long` | `getServerVersion()` Get the server's agreed to version.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RPC.VersionMismatch

    public RPC.VersionMismatch(String interfaceName,
                               long clientVersion,
                               long serverVersion)

  Create a version mismatch exception

  Parameters:
    `interfaceName` - the name of the protocol mismatch
    `clientVersion` - the client's version of the protocol
    `serverVersion` - the server's version of the protocol

Method Detail

### getInterfaceName

    public String getInterfaceName()

  Get the interface name

  Returns:
    the java class name (eg. org.apache.hadoop.mapred.InterTrackerProtocol)

### getClientVersion

    public long getClientVersion()

  Get the client's preferred version

### getServerVersion

    public long getServerVersion()

  Get the server's agreed to version.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation